.header {
  .nav-container {
    @include flex-center;

    flex-grow: 1;
    max-width: 80%;
    height: 100px;
    position: relative;

    .nav__menu {
      width: 100%;
      @include flex-between;
      gap: 34px;

      &-item {
        &-link {
          color: $title-color;
          font-size: 0.7rem;
          line-height: 1.4rem;
          text-transform: uppercase;
          text-decoration: none;

          &:hover {
            color: $hover-menu-item;
          }

          @media screen and (max-width: 767px) {
            width: 100%;
            padding: 6px 14px 4px;

            &:hover {
              color: $title-color;
            }
          }
        }

        @media screen and (max-width: 767px) {
          @include flex-between;
          &:hover {
            background-color: $hover-menu-item-bg;
          }
        }
      }

      @media screen and (max-width: 767px) {
        @include flex-column;
        align-items: stretch;
        justify-content: start;
        gap: initial;
        width: 50%;
        height: 0;
        overflow: hidden;
        position: absolute;
        top: 100%;
        z-index: 10;
        background-color: $section-bg-darkgrey;
      }
    }

    .hamburger {
      @include grid-center;
      grid-template-rows: repeat(3, 1fr);
      height: 45px;
      margin: 10px;
      z-index: 10;
      display: none;

      div {
        background-color: rgb(61, 61, 61);
        position: relative;
        width: 40px;
        height: 5px;
        margin-top: 7px;
        transition: all 0.2s ease-in-out;
      }

      @media screen and (max-width: 767px) {
        display: initial;
      }
    }

    #toggle {
      display: none;

      &:checked + .hamburger {
        .top {
          transform: rotate(-45deg);
          margin-top: 22.5px;
        }

        .meat {
          transform: rotate(45deg);
          margin-top: -5px;
        }

        .bottom {
          transform: scale(0);
        }
      }
    }

    #toggle:checked ~ .nav__menu {
      height: auto;
    }

    @media screen and (max-width: 767px) {
      max-width: 100%;
      height: 80px;
      flex-direction: column;
      align-items: end;
    }
  }
}
